Bug 235424 - mail/davmail: update to 5.1.0
Summary: mail/davmail: update to 5.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-02 14:31 UTC by Jose G. Juanino
Modified: 2019-05-25 12:45 UTC (History)
2 users (show)

See Also:


Attachments
update to 5.1.0 version (5.04 KB, patch)
2019-02-02 14:31 UTC, Jose G. Juanino
no flags Details | Diff
new patch version (3.93 KB, patch)
2019-02-02 16:24 UTC, Jose G. Juanino
no flags Details | Diff
davmail 5.2.0 patch (5.08 KB, patch)
2019-05-04 22:00 UTC, Sean Farley
swills: maintainer-approval? (john.c.prather)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose G. Juanino 2019-02-02 14:31:41 UTC
Created attachment 201636 [details]
update to 5.1.0 version

Update mail/davmail to 5.1.0 from 4.9.0

I have tested the new version with several exchange servers, and works
as expected with no issues.
Comment 1 Jose G. Juanino 2019-02-02 16:24:14 UTC
Created attachment 201638 [details]
new patch version
Comment 2 Jose G. Juanino 2019-02-02 16:26:44 UTC
Hi, after review the patch I see that is required to make some minor tweaks in the pkg-plist file (among other things), as %%PORTREVISION%% variable inserted by make makeplist is wrong. Regards.
Comment 3 Steve Wills freebsd_committer 2019-04-30 15:57:02 UTC
(In reply to jjuanino from comment #2)
Can you provide an updated patch?
Comment 4 Sean Farley freebsd_committer 2019-05-04 22:00:07 UTC
Created attachment 204220 [details]
davmail 5.2.0 patch

I took the patch from jjuanino@gmail.com and updated it to the davmail v5.2.0 release along with some pkg-plist changes found in poudriere.

A quick run works for me, but I have only just started testing davmail and am not doing anything complex with it at the moment.
Comment 5 Jose G. Juanino 2019-05-05 20:36:20 UTC
(In reply to Steve Wills from comment #3)
Hi, sorry for the late reply.

The updated patch was uploaded in comment #1. Regards
Comment 6 commit-hook freebsd_committer 2019-05-24 15:49:55 UTC
A commit references this bug:

Author: swills
Date: Fri May 24 15:49:47 UTC 2019
New revision: 502482
URL: https://svnweb.freebsd.org/changeset/ports/502482

Log:
  mail/davmail: update to 5.1.0

  PR:		235424
  Submitted by:	jjuanino@gmail.com and Sean Farley <scf@FreeBSD.org>
  Approved by:	maintainer timeout (john.c.prather@gmail.com, >3 months)

Changes:
  head/mail/davmail/Makefile
  head/mail/davmail/distinfo
  head/mail/davmail/pkg-plist
Comment 7 Steve Wills freebsd_committer 2019-05-24 15:50:56 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2019-05-25 12:45:32 UTC
A commit references this bug:

Author: tobik
Date: Sat May 25 12:45:19 UTC 2019
New revision: 502574
URL: https://svnweb.freebsd.org/changeset/ports/502574

Log:
  mail/davmail: Reset MAINTAINER after > 3 months maintainer timeout

  PR:		235424

Changes:
  head/mail/davmail/Makefile